Bug 34769 - Odd error message when exceeded order line limit
Odd error message when exceeded order line limit
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cameron Prince
Depends On:
  Show dependency treegraph
Reported: 2001-04-04 17:17 EDT by Jay Turner
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-23 14:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-04-04 17:17:32 EDT
On cprince.devel.webdevel.redhat.com, I placed an order for 25
subscriptions (25 line items that is), then upon clicking to make it 26,
got the following error:

Sorry, there was an error in processing this form action. Please report the
error or try again later. (Undefined subroutine &Vend::Order::do_lockout
called at /home/reston/cprince/interchange/lib/Vend/Order.pm line 2086. )

Should probably be a little more descriptive about what the problem is and
how the user can fix it.  The really bad side-effect is that after getting
this error, the cart is cleared out, so the user looses anything that they
have entered to that point.
Comment 1 David Totten 2001-04-06 16:50:55 EDT
When this happens, it also dumps the cart that was there. In other words, if you
press back on your browser, and add another item, you will be taken to your
basket, and there is only that one item in it.
Comment 2 Jay Turner 2001-04-19 15:48:57 EDT
This is still happening as of 4/19/01.
Comment 3 Jason Kohles 2001-04-23 10:38:38 EDT
I fixed the undefined subroutine problem, but the rest of this is a design
feature intended to keep rogue robots from bringing the site down by following
buy links and ordering millions of items.  The only thing we can really do about
it is increase the maximum number of line items that is allowed in the cart, 25
is probably too low.
Comment 4 Jay Turner 2001-04-23 11:56:39 EDT
OK, no longer get the error message, but the contents of my cart are indeed
dumped out upon adding the 26th order detail line.  I have no problems with
having a limit, just need to make sure that it makes sense and that the user
does not run into the limit, get the contents of their cart thrown out and never
return to the site because they are pissed.  Think that we should just display
an error telling them that they have hit the limit and give them the opportunity
to continue with the cart in its present state.
Comment 5 Jason Kohles 2001-04-23 12:34:11 EDT
The problem is that if you keep the contents of the cart then bad robots will
still fill up the disk, by creating thousands of sessions with 25 items in each
one.  The best solution would be to change the orderline limit to a number high
enough that an actual ordering human would never hit it, the problem is to
balance this against protecting the server from robots, a human would never hit
a 10,000 line limit, but a robot could do a lot of damage hammering on the
server for that long before it got locked out.  In looking at the database there
are less than 50 products being sold from the store front, setting the orderline
limit to 100 would allow people to order every product twice and still not hit
the limit, and would minimize the damage from rogue robots.
Comment 6 Jay Turner 2001-04-23 13:51:48 EDT
As long as a user, in the standard course of trying to place an order, does not
hit the limit and dump the contents all over the place, I really don't care.  a
100-line limit sounds good to me.
Comment 7 Jason Kohles 2001-04-23 14:38:29 EDT
OK, orderline limit changed to 100
Comment 8 Jay Turner 2001-04-23 14:58:29 EDT
OK, that looks a little better.  Closing out this bug.

Note You need to log in before you can comment on or make changes to this bug.